Subject: Re: bug#25581: 25.1; Incorrect statement in (elisp) `Hooks'

From: [email-masked]
Date: Tue, 31 Jan 2017 22:35:13 -0500

Drew Adams <[email-masked]> writes:

>
> The changes needed, I think, are (1) clarify that the requirement
> of the value being a function applies only to `*-function' vars
> and (2) be clear that there are multiple ways to change the value,
> including plain old `setq' (as Mark O pointed out).

Hmm, do we really need to explain that variables can be changed with
setq (seems redundant)?  Though it might be useful to compare and
contrast setq vs add-function (and maybe setq vs add-hook too?)

Also wondering if add-function needs a bit of "rebranding", since I see
it keeps getting referred to as "advice" (i.e., something to be
avoided).